%if 0%{?fedora}
%global with_python3 1
%else
%{!?python2_sitelib: %global python2_sitelib %(%{__python2} -c "from distutils.sysconfig import get_python_lib;   print(get_python_lib())")}
%endif

Name: python-irclib
Version: 13.3.1
Release: 1%{?dist}
Summary: Set of Python modules for IRC support

Group: Development/Libraries
License: MIT
URL: https://github.com/jaraco/irc
Source0: https://pypi.python.org/packages/source/i/irc/irc-%{version}.tar.gz
Patch0: irclib-backports-not-always-needed.patch
BuildArch: noarch

Provides: python2-irclib = %{version}-%{release}

Requires: python-six
Requires: python-jaraco-collections
Requires: python-jaraco-text
Requires: python-jaraco-itertools
Requires: python-jaraco-logging
Requires: python-jaraco-functools
Requires: pytz
BuildRequires: python2-devel
BuildRequires: python-setuptools
BuildRequires: python-setuptools_scm
BuildRequires: python-sphinx
BuildRequires: dos2unix
# For tests
BuildRequires: python-backports-unittest_mock
BuildRequires: python-pytest-runner
BuildRequires: python-jaraco-collections
BuildRequires: python-jaraco-text
BuildRequires: python-jaraco-itertools
BuildRequires: python-jaraco-logging
BuildRequires: python-jaraco-functools
BuildRequires: pytz

%if 0%{?with_python3}
BuildRequires: python3-devel
BuildRequires: python3-setuptools
BuildRequires: python3-setuptools_scm
# For tests
BuildRequires: python3-pytest-runner
BuildRequires: python3-jaraco-collections
BuildRequires: python3-jaraco-text
BuildRequires: python3-jaraco-itertools
BuildRequires: python3-jaraco-logging
BuildRequires: python3-jaraco-functools
BuildRequires: python3-pytz
%endif

%description
This library is intended to encapsulate the IRC protocol at a quite
low level.  It provides an event-driven IRC client framework.  It has
a fairly thorough support for the basic IRC protocol, CTCP and DCC
connections.

%if 0%{?with_python3}
%package -n python3-irclib
Summary: Set of Python3 modules for IRC support

%if 0%{?with_python3}
Requires: python3-six
Requires: python3-jaraco-collections
Requires: python3-jaraco-text
Requires: python3-jaraco-itertools
Requires: python3-jaraco-logging
Requires: python3-jaraco-functools
Requires: python3-pytz
%endif

%description -n python3-irclib
This library is intended to encapsulate the IRC protocol at a quite
low level.  It provides an event-driven IRC client framework.  It has
a fairly thorough support for the basic IRC protocol, CTCP and DCC
connections.

This package contains the modules for python3.

%endif

%prep
%setup -q -n irc-%{version}

%patch0 -p1

for file in docs/irc.rst docs/irc.tests.rst ; do
  dos2unix $file
done


%if 0%{?with_python3}
rm -rf %{py3dir}
cp -a . %{py3dir}
%endif

%build
%{__python2} setup.py build
%{__python2} setup.py build_sphinx

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif

%install
rm -rf $RPM_BUILD_ROOT
%{__python2} setup.py install --root %{buildroot}

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif


%clean
rm -rf %{buildroot}

%check

%{__python2} setup.py test

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py test
popd
%endif

%files
%defattr(-,root,root,-)
%doc README.rst CHANGES.rst docs scripts
%{python2_sitelib}/*

%if 0%{?with_python3}
%files -n python3-irclib
%defattr(-,root,root,-)
%doc README.rst CHANGES.rst docs scripts
%{python3_sitelib}/*
%endif

%changelog
* Fri Jan 22 2016 Toshio Kuratomi <toshio@fedoraproject.org> - 13.3.1-1
- Update to upstream 13.3.1

* Fri Nov 28 2014 Toshio Kuratomi <toshio@fedoraproject.org> - 11.0.1-2
- Fix python2 vs python3 deps

* Fri Nov 28 2014 Toshio Kuratomi <toshio@fedoraproject.org> - 11.0.1-1
- Updated version with support for python3

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.8-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Oct 21 2013 Luke Macken <lmacken@redhat.com> - 0.4.8-7
- The egg-info changed to a single file (#993136)

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.8-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.8-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Sep 30 2010 Conrad Meyer <konrad@tylerc.org> - 0.4.8-1
- Bump to latest version
- Changelog:
  2008-09-11  Keltus <keltus@users.sourceforge.net>
    * ircbot.py: Reverted a leftover testing fragment that broke ircbot.py
  2008-08-29  Keltus <keltus@users.sourceforge.net>
    * irclib.py: Reverted changes in irclib that don't really belong in the
      core lib
    * irclib.py: Add support for ssl
    * irclib.py: Add support for ipv6
    * python-irclib now requires python 2.3 and above (for ssl and ipv6)


* Thu Jul 22 2010 David Malcolm <dmalcolm@redhat.com> - 0.4.6-11
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Mon Jan 11 2010 Luke Macken <lmacken@redhat.com> - 0.4.6-10
- Fix the source URL

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 0.4.6-7
- Rebuild for Python 2.6

* Wed Sep  3 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.4.6-6
- fix license tag

* Fri Feb  8 2008 Luke Macken <lmacken@redhat.com> 0.4.6-5
- Include our new egg-info

* Fri Feb  8 2008 Luke Macken <lmacken@redhat.com> 0.4.6-4
- Rebuild for gcc 4.3

* Sat Dec  9 2006 Luke Macken <lmacken@redhat.com> 0.4.6-3
- Rebuild for python 2.5

* Sun Sep  3 2006 Luke Macken <lmacken@redhat.com> 0.4.6-2
- Rebuild for FC6

* Tue Aug  8 2006 Luke Macken <lmacken@redhat.com> 0.4.6-1
- 0.4.6 (Bug #201753)

* Mon Feb 13 2006 Luke Macken <lmacken@redhat.com> 0.4.5-2
- Rebuild

* Wed Jun 22 2005 Luke Macken <lmacken@redhat.com> 0.4.5-1
- Packaged for Fedora Extras
